# Enum Class TwirlImports

java.lang.Object
java.lang.Enum<TwirlImports>
org.gradle.language.twirl.TwirlImports

All Implemented Interfaces:
  `Serializable, Comparable<TwirlImports>, Constable`

@Incubating public enum TwirlImports extends Enum<TwirlImports>
Represents the available sets of default imports that can be used when compiling Twirl templates.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`JAVA`
`SCALA`

## Method Summary

Modifier and Type
Method
Description
`static TwirlImports`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TwirlImports[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SCALA

public static final TwirlImports SCALA

### JAVA

public static final TwirlImports JAVA

## Method Details

### values

public static TwirlImports[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TwirlImports valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null